> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification rule

> Operacion: Update notification rule.



## OpenAPI

````yaml /generated/specs/settings.json put /api/notification-config/rules/{id}
openapi: 3.0.0
info:
  title: Raul API - Configuraciones
  description: Catalogos, tipos, plantillas y configuraciones maestras del sistema.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Catalogs
    description: Catálogos IMEI y Chip
paths:
  /api/notification-config/rules/{id}:
    put:
      tags:
        - notification-config
      summary: Update notification rule
      description: 'Operacion: Update notification rule.'
      operationId: NotificationsController_updateRule
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRuleDto'
      responses:
        '200':
          description: Rule updated
        '404':
          description: Rule not found
components:
  schemas:
    UpdateRuleDto:
      type: object
      properties: {}

````